Package com.smartgwt.client.widgets.form.fields.events

# Interface HasItemHoverHandlers

All Superinterfaces:
  `HasHandlers`

All Known Implementing Classes:
  `AIDataQuestionItem`, `AutoFitTextAreaItem`, `BlurbItem`, `BooleanItem`, `ButtonItem`, `CancelItem`, `CanvasItem`, `CheckboxItem`, `ColorItem`, `ColorPickerItem`, `ComboBoxItem`, `DateItem`, `DateRangeItem`, `DateTimeItem`, `DoubleItem`, `FileItem`, `FileUploadItem`, `FloatItem`, `FormItem`, `HeaderItem`, `HiddenItem`, `IntegerItem`, `IPickTreeItem`, `LinkItem`, `MiniDateRangeItem`, `MultiComboBoxItem`, `MultiFileItem`, `MultiPickerItem`, `NativeCheckboxItem`, `PasswordItem`, `PickTreeItem`, `PresetCriteriaItem`, `PresetDateRangeItem`, `RadioGroupItem`, `RelativeDateItem`, `ResetItem`, `RichTextItem`, `RowSpacerItem`, `SavedSearchItem`, `SectionItem`, `SelectItem`, `SelectOtherItem`, `SetFilterItem`, `ShuttleItem`, `SliderItem`, `SpacerItem`, `SpinnerItem`, `StaticTextItem`, `SubmitItem`, `TextAreaItem`, `TextItem`, `TimeItem`, `ToggleItem`, `ToolbarItem`, `UploadItem`, `ViewFileItem`

public interface HasItemHoverHandlers extends HasHandlers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addItemHoverHandler(ItemHoverHandler handler)`
  Optional stringMethod to fire when the user hovers over this item.

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Method Details

  - ### addItemHoverHandler

    HandlerRegistration addItemHoverHandler(ItemHoverHandler handler)
    Optional stringMethod to fire when the user hovers over this item. Call `com.smartgwt.client.widgets.form.fields.events.ItemHoverEvent#cancel()` from within `ItemHoverHandler.onItemHover(com.smartgwt.client.widgets.form.fields.events.ItemHoverEvent)` to suppress default behavior of showing a hover canvas containing the HTML returned by `formItem.itemHoverHTML()` / `form.itemHoverHTML()`.

    If `canHover` is set to false, this method is not called.

    Parameters:
      `handler` - the itemHover handler
    Returns:
      `HandlerRegistration` used to remove this handler